#include "Stdafx.h"
#include "MiscellaneousImageTransformation.h"

namespace Domination {
	namespace Unmanaged {
		namespace OpenCV 
		{
			void MiscellaneousImageTransformation::cvtColor(Mat^ src, Mat^ dst, ColorConversion code)
			{
				cvtColor(src, dst, code, 0);
			}
			void MiscellaneousImageTransformation::cvtColor(Mat^ src, Mat^ dst, ColorConversion code, int dstCn)
			{
				cv::Mat lsrc = *src->ref;
				pin_ptr<cv::Mat> ldst = dst->ref;
				cv::cvtColor(lsrc, *ldst, (int)code, dstCn);
			}
		}
	}
}